#include <bits/stdc++.h>

using namespace std;

int main () {

    ios_base::sync_with_stdio(false);

    cout.tie(0);
    cin.tie(0);

    long long n, m;

    cin >> n >> m;

    long long a[n][m];

    for (long long i = 0 ; i < n ; i++) {

        for (long long j = 0 ; j < m ; j++) {

            cin >> a[i][j];

        }

    }

    cout << 0;

    return 0;

}